Page MenuHomePhabricator

Toolbar dialogs (Special Character, Find & Replace) overlap floating toolbar menus when toolbar is floating
Closed, ResolvedPublic1 Estimated Story Points

Description

When VE's toolbar is in floating mode on scroll, open Special Character dialog is overlapping Article Target toolbar' dialogs.
Tested in latest Chrome/Firefox on MacOS.

Screenshot:

Event Timeline

Volker_E created this task.Jul 13 2016, 1:12 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 13 2016, 1:12 PM
Volker_E updated the task description. (Show Details)Jul 13 2016, 1:54 PM

Change 298736 had a related patch set uploaded (by VolkerE):
Fix z-index issue on floating toolbar dialog

https://gerrit.wikimedia.org/r/298736

Jdforrester-WMF renamed this task from VisualEditor: Special Character dialog is overlapping/mixing into floating Article Target toolbar' dialogs to Toolbar dialogs (Special Character, Find & Replace) overlap floating toolbar menus when toolbar is floating.Jul 15 2016, 5:22 PM
Jdforrester-WMF triaged this task as Medium priority.

Yup. Doesn't occur in stand-alone mode.

Jdforrester-WMF set the point value for this task to 1.

Change 298736 merged by jenkins-bot:
Fix z-index issue on floating toolbar dialog

https://gerrit.wikimedia.org/r/298736

Jdforrester-WMF closed this task as Resolved.Aug 9 2016, 7:33 PM
Jdforrester-WMF removed a project: Patch-For-Review.